<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RFallbackFeatureConfig StructType
 * @subpackage Structs
 */
class RFallbackFeatureConfig extends AbstractStructBase
{
    /**
     * The enableFallbackForImeCalls
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $enableFallbackForImeCalls;
    /**
     * The qosSensistivityLevel
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $qosSensistivityLevel;
    /**
     * The dtmfCorrelationDigits
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dtmfCorrelationDigits;
    /**
     * The dtmfCollectionTimer
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dtmfCollectionTimer;
    /**
     * The callAnswerTimer
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $callAnswerTimer;
    /**
     * The clearImeCallDelayTimer
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $clearImeCallDelayTimer;
    /**
     * The dtmfInterDigitDelayTimer
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dtmfInterDigitDelayTimer;
    /**
     * The postConnectFallbackDelayTimer
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $postConnectFallbackDelayTimer;
    /**
     * The fallbackSplitDelayTimer
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $fallbackSplitDelayTimer;
    /**
     * The callCss
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $callCss;
    /**
     * Constructor method for RFallbackFeatureConfig
     * @uses RFallbackFeatureConfig::setEnableFallbackForImeCalls()
     * @uses RFallbackFeatureConfig::setQosSensistivityLevel()
     * @uses RFallbackFeatureConfig::setDtmfCorrelationDigits()
     * @uses RFallbackFeatureConfig::setDtmfCollectionTimer()
     * @uses RFallbackFeatureConfig::setCallAnswerTimer()
     * @uses RFallbackFeatureConfig::setClearImeCallDelayTimer()
     * @uses RFallbackFeatureConfig::setDtmfInterDigitDelayTimer()
     * @uses RFallbackFeatureConfig::setPostConnectFallbackDelayTimer()
     * @uses RFallbackFeatureConfig::setFallbackSplitDelayTimer()
     * @uses RFallbackFeatureConfig::setCallCss()
     * @param string $enableFallbackForImeCalls
     * @param string $qosSensistivityLevel
     * @param string $dtmfCorrelationDigits
     * @param string $dtmfCollectionTimer
     * @param string $callAnswerTimer
     * @param string $clearImeCallDelayTimer
     * @param string $dtmfInterDigitDelayTimer
     * @param string $postConnectFallbackDelayTimer
     * @param string $fallbackSplitDelayTimer
     * @param string $callCss
     */
    public function __construct($enableFallbackForImeCalls = null, $qosSensistivityLevel = null, $dtmfCorrelationDigits = null, $dtmfCollectionTimer = null, $callAnswerTimer = null, $clearImeCallDelayTimer = null, $dtmfInterDigitDelayTimer = null, $postConnectFallbackDelayTimer = null, $fallbackSplitDelayTimer = null, $callCss = null)
    {
        $this
            ->setEnableFallbackForImeCalls($enableFallbackForImeCalls)
            ->setQosSensistivityLevel($qosSensistivityLevel)
            ->setDtmfCorrelationDigits($dtmfCorrelationDigits)
            ->setDtmfCollectionTimer($dtmfCollectionTimer)
            ->setCallAnswerTimer($callAnswerTimer)
            ->setClearImeCallDelayTimer($clearImeCallDelayTimer)
            ->setDtmfInterDigitDelayTimer($dtmfInterDigitDelayTimer)
            ->setPostConnectFallbackDelayTimer($postConnectFallbackDelayTimer)
            ->setFallbackSplitDelayTimer($fallbackSplitDelayTimer)
            ->setCallCss($callCss);
    }
    /**
     * Get enableFallbackForImeCalls value
     * @return string|null
     */
    public function getEnableFallbackForImeCalls()
    {
        return $this->enableFallbackForImeCalls;
    }
    /**
     * Set enableFallbackForImeCalls value
     * @param string $enableFallbackForImeCalls
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RFallbackFeatureConfig
     */
    public function setEnableFallbackForImeCalls($enableFallbackForImeCalls = null)
    {
        $this->enableFallbackForImeCalls = $enableFallbackForImeCalls;
        return $this;
    }
    /**
     * Get qosSensistivityLevel value
     * @return string|null
     */
    public function getQosSensistivityLevel()
    {
        return $this->qosSensistivityLevel;
    }
    /**
     * Set qosSensistivityLevel value
     * @param string $qosSensistivityLevel
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RFallbackFeatureConfig
     */
    public function setQosSensistivityLevel($qosSensistivityLevel = null)
    {
        $this->qosSensistivityLevel = $qosSensistivityLevel;
        return $this;
    }
    /**
     * Get dtmfCorrelationDigits value
     * @return string|null
     */
    public function getDtmfCorrelationDigits()
    {
        return $this->dtmfCorrelationDigits;
    }
    /**
     * Set dtmfCorrelationDigits value
     * @param string $dtmfCorrelationDigits
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RFallbackFeatureConfig
     */
    public function setDtmfCorrelationDigits($dtmfCorrelationDigits = null)
    {
        $this->dtmfCorrelationDigits = $dtmfCorrelationDigits;
        return $this;
    }
    /**
     * Get dtmfCollectionTimer value
     * @return string|null
     */
    public function getDtmfCollectionTimer()
    {
        return $this->dtmfCollectionTimer;
    }
    /**
     * Set dtmfCollectionTimer value
     * @param string $dtmfCollectionTimer
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RFallbackFeatureConfig
     */
    public function setDtmfCollectionTimer($dtmfCollectionTimer = null)
    {
        $this->dtmfCollectionTimer = $dtmfCollectionTimer;
        return $this;
    }
    /**
     * Get callAnswerTimer value
     * @return string|null
     */
    public function getCallAnswerTimer()
    {
        return $this->callAnswerTimer;
    }
    /**
     * Set callAnswerTimer value
     * @param string $callAnswerTimer
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RFallbackFeatureConfig
     */
    public function setCallAnswerTimer($callAnswerTimer = null)
    {
        $this->callAnswerTimer = $callAnswerTimer;
        return $this;
    }
    /**
     * Get clearImeCallDelayTimer value
     * @return string|null
     */
    public function getClearImeCallDelayTimer()
    {
        return $this->clearImeCallDelayTimer;
    }
    /**
     * Set clearImeCallDelayTimer value
     * @param string $clearImeCallDelayTimer
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RFallbackFeatureConfig
     */
    public function setClearImeCallDelayTimer($clearImeCallDelayTimer = null)
    {
        $this->clearImeCallDelayTimer = $clearImeCallDelayTimer;
        return $this;
    }
    /**
     * Get dtmfInterDigitDelayTimer value
     * @return string|null
     */
    public function getDtmfInterDigitDelayTimer()
    {
        return $this->dtmfInterDigitDelayTimer;
    }
    /**
     * Set dtmfInterDigitDelayTimer value
     * @param string $dtmfInterDigitDelayTimer
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RFallbackFeatureConfig
     */
    public function setDtmfInterDigitDelayTimer($dtmfInterDigitDelayTimer = null)
    {
        $this->dtmfInterDigitDelayTimer = $dtmfInterDigitDelayTimer;
        return $this;
    }
    /**
     * Get postConnectFallbackDelayTimer value
     * @return string|null
     */
    public function getPostConnectFallbackDelayTimer()
    {
        return $this->postConnectFallbackDelayTimer;
    }
    /**
     * Set postConnectFallbackDelayTimer value
     * @param string $postConnectFallbackDelayTimer
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RFallbackFeatureConfig
     */
    public function setPostConnectFallbackDelayTimer($postConnectFallbackDelayTimer = null)
    {
        $this->postConnectFallbackDelayTimer = $postConnectFallbackDelayTimer;
        return $this;
    }
    /**
     * Get fallbackSplitDelayTimer value
     * @return string|null
     */
    public function getFallbackSplitDelayTimer()
    {
        return $this->fallbackSplitDelayTimer;
    }
    /**
     * Set fallbackSplitDelayTimer value
     * @param string $fallbackSplitDelayTimer
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RFallbackFeatureConfig
     */
    public function setFallbackSplitDelayTimer($fallbackSplitDelayTimer = null)
    {
        $this->fallbackSplitDelayTimer = $fallbackSplitDelayTimer;
        return $this;
    }
    /**
     * Get callCss value
     * @return string|null
     */
    public function getCallCss()
    {
        return $this->callCss;
    }
    /**
     * Set callCss value
     * @param string $callCss
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RFallbackFeatureConfig
     */
    public function setCallCss($callCss = null)
    {
        $this->callCss = $callCss;
        return $this;
    }
}
